Skip to main content
GET
Get reward state history

Authorizations

Authorization
string
header
required

Path Parameters

reward_id
string
required

Extole-assigned unique identifier for the reward.

Response

Successful response

created_at
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

message
string
required

Human-readable message associated with this state transition.

operator_user_id
string
required

Extole user id of the operator who triggered this state transition, if applicable.

state_type
enum<string>
required

Lifecycle state type of this reward state transition.

Available options:
CANCELED,
EARNED,
FAILED,
FULFILLED,
REDEEMED,
REVOKED,
SENT
success
boolean
required

Whether this state transition was successful.